<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>spin</name>
  <program_name>spin</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>window1</name>
  <visible>False</visible>
  <title>window1</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>False</auto_shrink>

  <widget>
    <class>GtkFrame</class>
    <name>main_widget</name>
    <label_xalign>0</label_xalign>
    <shadow_type>GTK_SHADOW_OUT</shadow_type>

    <widget>
      <class>GtkEventBox</class>
      <name>eventbox3_blue</name>

      <widget>
	<class>GtkVBox</class>
	<name>vbox1</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox5</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkToggleButton</class>
	    <name>togglebutton1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>toggled</name>
	      <handler>gdam_skin_toggle_button:bendable</handler>
	      <last_modification_time>Tue, 08 Feb 2000 02:14:10 GMT</last_modification_time>
	    </signal>
	    <label>Bender </label>
	    <active>True</active>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkOptionMenu</class>
	    <name>optionmenu1_blue</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>selection-done</name>
	      <handler>gdam_skin_option_menu_enumeration:mode</handler>
	      <last_modification_time>Sat, 01 Dec 2001 07:56:02 GMT</last_modification_time>
	    </signal>
	    <items>continuous
keep time
snap time
return to start
keep in beat
keep input constant
input constant valid
</items>
	    <initial_choice>1</initial_choice>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button16</name>
	    <tooltip>assign midi control</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_try_or_destroy:gdam_input_button:mode:0:5:Mode</handler>
	      <last_modification_time>Sat, 19 Jan 2002 17:07:48 GMT</last_modification_time>
	    </signal>
	    <label>m</label>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkSpinButton</class>
	    <name>delay_sbutton</name>
	    <tooltip>rub width, in 1/8 beats</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>whenever</name>
	      <handler>gdam_skin_adjustment:eighth_beat_factor</handler>
	      <last_modification_time>Mon, 24 Jan 2000 22:20:36 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_skin_defocus_on_activate</handler>
	      <last_modification_time>Thu, 13 Apr 2000 21:51:55 GMT</last_modification_time>
	    </signal>
	    <climb_rate>1</climb_rate>
	    <digits>0</digits>
	    <numeric>True</numeric>
	    <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	    <snap>False</snap>
	    <wrap>False</wrap>
	    <value>16</value>
	    <lower>-16</lower>
	    <upper>32</upper>
	    <step>1</step>
	    <page>8</page>
	    <page_size>10</page_size>
	    <child>
	      <padding>2</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>
	</widget>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox4</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkButton</class>
	    <name>button12</name>
	    <tooltip>press to set loop start</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_int:set_position_marker:0</handler>
	      <last_modification_time>Sun, 20 Jan 2002 05:01:54 GMT</last_modification_time>
	    </signal>
	    <label>set loop start</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button18</name>
	    <tooltip>press to skip to loop start</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_int:jump_to_spin_start:1</handler>
	      <last_modification_time>Sun, 20 Jan 2002 05:05:46 GMT</last_modification_time>
	    </signal>
	    <label>phase</label>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkToggleButton</class>
	    <name>button13</name>
	    <tooltip>press to set loop endpoint and start looping</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>toggled</name>
	      <handler>gdam_skin_toggle_button:freeloop</handler>
	      <last_modification_time>Sat, 19 Jan 2002 17:05:52 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-right-clicked</name>
	      <handler>gdam_skin_arg_int:set_position_marker:1</handler>
	      <last_modification_time>Sat, 19 Jan 2002 17:05:52 GMT</last_modification_time>
	    </signal>
	    <label>loop</label>
	    <active>False</active>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button17</name>
	    <tooltip>hold to extend loop endpoint, release to mark new endpoint</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_int:extend_spin_endpoint:1</handler>
	      <last_modification_time>Sat, 19 Jan 2002 19:53:15 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:set_position_marker:1</handler>
	      <last_modification_time>Sat, 19 Jan 2002 19:53:46 GMT</last_modification_time>
	    </signal>
	    <label>extend end</label>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkLabel</class>
	    <name>label3</name>
	    <visible>False</visible>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_skin_label:playback_offset:%3.3f</handler>
	      <last_modification_time>Tue, 20 Nov 2001 10:00:46 GMT</last_modification_time>
	    </signal>
	    <label>offset</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>
	</widget>
      </widget>
    </widget>
  </widget>
</widget>

</GTK-Interface>
